**请求URL**
- GET `sport/index`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| is_first | 否 | bool | 是否展示第一次开始运动的激励语句，默认是


**返回示例**

2020-11-24 返回增加 new_rank.\* 字段
2020-11-24 返回增加 new_achievements.\*.user_count 字段
2020-10-14 返回增加 new_achievements 字段

```
{
    "result":1,
    "code":0,
    "msg":"成功",
    "data":{
        "duration":105, // 运动分钟
		"duration_target":160, // 运动目标分钟
        "consume":262, // 消耗卡路里
        "beyond":4, // 超过的人数
        "inspire":"让我们开启元气满满的一天吧",
        "last_game":{ // 最近打开的游戏，没玩过任何游戏则 null
			"duration_total": 467, // 总时长
			"id": 1,
			"name": "测试游戏一",
			"tags": [
				"标签一",
				"标签二",
				"标签三",
				"标签四"
			],
			"cover": "https://static.ouj.com/shoes/test/img/game-cover.jpg",
			"cover_horizontal": "https://static.ouj.com/shoes/test/img/game-cover-x.jpg",
			"cover_vertical": "https://static.ouj.com/shoes/test/img/game-cover-y.jpg",
			"introduce_video": "https://static.ouj.com/shoes/test/vid/game.mp4",
			"introduce_video_cover": "https://static.ouj.com/shoes/test/img/game-cover-x.jpg",
			"introduce": "游戏一的介绍，非常好玩",
			"introduce_images": [
				"https://static.ouj.com/shoes/test/img/game-cover-y.jpg",
				"https://static.ouj.com/shoes/test/img/game-cover-y.jpg",
				"https://static.ouj.com/shoes/test/img/game-cover-y.jpg"
			],
			"file_size": 100,
			"publish_date": "2020-01-01",
			"develop_company": "有限公司有限公司有限公司有限公司",
			"like_count": 8888,
			"user_count": 88888,
			"version": "0.0.1",
			"download_url": "https://static.ouj.com/shoes/test/download/game.zip"
        }
		"games": [
			{
				"id":1,
				"name":"测试游戏一",
				"tags":[
					"标签一",
					"标签二",
					"标签三",
					"标签四"
				],
				"cover":"https://static.ouj.com/shoes/test/img/game-cover.jpg",
				"cover_horizontal":"https://static.ouj.com/shoes/test/img/game-cover-x.jpg",
				"cover_vertical":"https://static.ouj.com/shoes/test/img/game-cover-y.jpg",
				"introduce_video":"https://static.ouj.com/shoes/test/vid/game.mp4",
				"introduce_video_cover":"https://static.ouj.com/shoes/test/img/game-cover-x.jpg",
				"introduce":"游戏一的介绍，非常好玩",
				"introduce_images":[
					"https://static.ouj.com/shoes/test/img/game-cover-y.jpg",
					"https://static.ouj.com/shoes/test/img/game-cover-y.jpg",
					"https://static.ouj.com/shoes/test/img/game-cover-y.jpg"
				],
				"file_size":100, // 单位 M
				"publish_date":"2020-01-01",
				"develop_company":"有限公司有限公司有限公司有限公司",
				"like_count":8888,
				"user_count":88888,
				"version":"0.0.1",
				"download_url":"https://static.ouj.com/shoes/test/download/game.zip",
				"subject_id": 1
			},
		],
		"rank": {
			"rank":{
				"id":3,
				"name":"游戏 1 的评分榜",
				"is_game":1,
				"is_sport":0,
				"game_id":1,
				"introduce":"这是一小段榜单介绍说明",
				"user_count_max":5,
				"rate_begin":"2020-07-19",
				"rate_end":"2020-07-26"
			},
			"user":{ // 为 null 则未上榜
				"id":5,
				"user_id":1,
				"game_id":1,
				"score":73.3,
				"province_id":440000,
				"city_id":440100,
				"district_id":440106,
				"finish_at":"2020-07-20 11:24:15",
				"duration":28,
				"consume":70,
				"up":0, // 上升了多少
				"up_new": 0, // 上升是否有变化
				"rate_begin":"2020-07-19",
				"rate_end":"2020-07-26",
				"user_name":"测试用户1",
				"user_avatar": "",
				"user_level":1,
				"user_gender":1,
				"user_age": 100,
				"position":5, // 排名
				"achievements":[
					{
						"id":1,
						"name":"成就1",
						"logo":"",
						"sort":999,
						"series_id":1,
					},
					{
						"id":2,
						"name":"成就2",
						"logo":"",
						"sort":998,
						"series_id":1,
					}
				]
			},
			"records":[
				{
					"id":20,
					"user_id":3,
					"game_id":1,
					"score":99.1,
					"province_id":440000,
					"city_id":440100,
					"district_id":440106,
					"finish_at":"2020-07-20 04:24:44",
					"duration":52,
					"consume":130,
					"up":1,
					"rate_begin":"2020-07-19",
					"rate_end":"2020-07-26",
					"user_name":"测试用户3",
					"user_avatar": "",
					"user_level":1,
					"user_gender":1,
					"position": 1,
					"achievements":[
						{
							"id":1,
							"name":"成就1",
							"logo":"",
							"sort":999,
							"series_id":1,
						}
					]
				},
			]
		},
		"new_achievements": [
			{
				"id": 11,
				"series_id": 3,
				"logo": "",
				"name": "签到能手Ⅰ",
				"reward_exp": 5,
				"reward_score": 1,
				"condition_count": 7,
				"created_at": ""
				"user_count": 100, // 第几位获得者
				"condition_progress": 15,
				"condition_detail": "累计登陆 15 天",
				"condition_measure": "天"
			}
		],
		"new_rank": [
			{
				"id": 1,
				"name": "xxx排行榜",
				"position": 1,
				"created_at": ""
			}
		]
	}
}
```