#### 检查 app 版本更新

// 此类接口条件版本相同时，取 ID 较大的一条记录

**请求URL**
- GET `app/checkUpdate`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| version | 是 | str | 版本字符串 0.0.2，注意版本比较是 0.0.11 比 0.0.2 大


**返回示例**


```
{
    "result":1,
    "code":0,
    "msg":"成功",
    "data":{
        "need_update":true, // 是否有新版本
        "last_version":{    // 最新版本
            "id":3,
            "version":"1.0.11",
            "download_url":"https://static.ouj.com/shoes/test/download/game.zip",
            "detail":"版本说明更新了xxx修复了yyy",
			"file_size": 100,  // 更新文件大小，单位 M
            "created_at":"2020-01-03 00:00:00",
			"min_ver": "8.0", // 平台最低版本
        }
    }
}
```

#### 检查硬件的固件版本更新

**请求URL**
- GET `app/hardwareLastVer`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| hardware_ver | 是 | str | 硬件版本
| app_ver | 是 | str | app版本


**返回示例**


```
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": {
        "id": 6,
        "ver": "0.4",
        "hardware_ver": "0.1",
        "name": "版本 v0.4",
        "msg": "update now",
        "file": "http://172.16.14.127/share/dfu/20220228-155855.zip",
        "time": "2021-05-24 17:57:53",
        "min_hardware_ver": "0.1",  //硬件最低版本，留空串则不限制
        "max_hardware_ver": "100.0",  //硬件最高版本，留空串则不限制
        "min_app_ver": "0.1",  //最低APP版本，留空串则不限制
        "max_app_ver": "100.0"  //最高APP版本，留空串则不限制
    },
    "debug": {
        "php_handle_ms": 616
    }
}
```