## 手机登录

**请求URL**
- POST `user/loginByPhone`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| phone | 是 | str | 手机号
| password | 密码验证码二选一 | str | 密码
| captcha | 密码验证码二选一 | str | 验证码


**返回示例**
```
{
	"token": "abc",
	"user": {...},
	"is_new": true/false // 是否是新用户
}
```


#### 备注

测试用填充数据

|字段 |数值
|:----    |:---
| name | 用户1 - 9
| phone | 13800138001 - 1380138009
| password | 1 - 9
| token | 1 - 9 用于开发时免去登录，若登录则 token 也会变


## 微信登录

**请求URL**
- POST `user/loginByWx`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| code | 是 | str | |

**返回示例**
```
{
	"token": "abc",
	"user": {...}
}
```

## 苹果登录

**请求URL**
- POST `user/loginByApple`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| apple_id | 是 | str | 苹果用户唯一 id
| identity_token | 是 | str | 苹果返回的 identityToken
| name | 否 | str | 名称

**返回示例**
```
{
	"token": "abc",
	"user": {...}
}
```

## QQ 登录

**请求URL**
- POST `user/loginByQQ`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| openid | 是 | str | |
| unionid | 否 | str | |
| avatar | 否 | str | |
| gender | 否 | int | 0未知 1男 2女
| name | 是 | str | 昵称

**返回示例**
```
{
	"token": "abc",
	"user": {...}
}
```


## 手机注册

**请求URL**
- POST `user/registerByPhone`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| phone | 是 | str | 手机号
| password | 是 | str | 密码
| captcha | 是 | str | 验证码


**返回示例**


## 发送验证码

**请求URL**
- POST `user/sendCaptcha`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| phone | 是 | str | 手机号


**返回示例**


## 校验验证码

**请求URL**
- POST `user/verifyCaptcha`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| phone | 是 | str | 手机号
| captcha | 是 | str | 验证码

**返回示例**

```
{
	"data": true/false
}
```

**备注**

* 用于忘记密码时用户填写验证码后，判断是否进入下一步的那个页面

* 并不是必须的，后面修改密码的接口也要传验证码