

    
##### 简要描述

- 帖子列表（可搜索）

##### 请求URL
- ` /forum/list `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|forumId |否  |int |论坛分区ID   |
|kw |否  |string | 关键字    |
|p     |否  |int | 页码    |
|limit     |否  |int | 每页条数    |
|isGood     |否  |int | 0-非加精，1-加精，不传-取全部  |
|isTop     |否  |int | 0-非置顶，1-置顶，不传-取全部  |
|isGG     |否  |int | 0-非公告，1-公告，不传-取全部  |

##### 返回示例 

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": {
        "list": [
            {
                "id": "21",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-08-05 11:51:21",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1596599481,
                "is_liked": true,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "20",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 18:31:06",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595500266,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "19",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 18:30:59",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595500259,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "18",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 18:30:42",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595500242,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "17",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 17:20:53",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595496053,
                "is_liked": true,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "16",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [
                    {
                        "id": "44",
                        "user_id": "1",
                        "subject_id": "16",
                        "src": "http://res.miku.us/res/img/default/2020/07/06/030510-710-hex373.jpg",
                        "src_type": "image",
                        "thumbnail": "http://res.miku.us/res/img/default/2020/07/06/030510-710-hex373.jpg",
                        "seq": "1",
                        "created_at": "0000-00-00 00:00:00"
                    },
                    {
                        "id": "55",
                        "user_id": "1",
                        "subject_id": "16",
                        "src": "http://res.miku.us/res/img/default/2020/07/03/174339-219-hex2f.jpg",
                        "src_type": "image",
                        "thumbnail": "http://res.miku.us/res/img/default/2020/07/03/174339-219-hex2f.jpg",
                        "seq": "2",
                        "created_at": "0000-00-00 00:00:00"
                    }
                ],
                "created_at": "2020-07-23 17:13:53",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595495633,
                "is_liked": true,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "15",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [
                    {
                        "id": "11",
                        "user_id": "1",
                        "subject_id": "15",
                        "src": "http://res.miku.us/res/img/default/2020/07/09/055301-981-hex313.jpg",
                        "src_type": "image",
                        "thumbnail": "http://res.miku.us/res/img/default/2020/07/09/055301-981-hex313.jpg",
                        "seq": "0",
                        "created_at": "0000-00-00 00:00:00"
                    },
                    {
                        "id": "56",
                        "user_id": "1",
                        "subject_id": "15",
                        "src": "http://static.ouj.com/subject/e42294b0c8e0ad19832cabbdda41c65f_size1600x1600_65914.jpg",
                        "src_type": "image",
                        "thumbnail": "http://static.ouj.com/subject/e42294b0c8e0ad19832cabbdda41c65f_size1600x1600_65914.jpg?x-oss-process=image/resize,p_50",
                        "seq": "0",
                        "created_at": "2020-07-28 18:47:29"
                    },
                    {
                        "id": "57",
                        "user_id": "1",
                        "subject_id": "15",
                        "src": "http://static.ouj.com/subject/43c3e5fc6f5917b4de77c3ab2d2468ac_size814x814_57312.jpg",
                        "src_type": "image",
                        "thumbnail": "http://static.ouj.com/subject/43c3e5fc6f5917b4de77c3ab2d2468ac_size814x814_57312.jpg?x-oss-process=image/resize,p_50",
                        "seq": "0",
                        "created_at": "2020-07-28 18:49:43"
                    }
                ],
                "created_at": "2020-07-23 17:13:26",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595495606,
                "is_liked": true,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "14",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 17:12:19",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595495539,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "13",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 17:12:17",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595495537,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "12",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 17:12:11",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595495531,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "11",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 17:11:51",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595495511,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "10",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 17:11:36",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595495496,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "9",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 17:11:21",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595495481,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "8",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 17:10:59",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595495459,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "7",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 17:10:36",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595495436,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "6",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 17:07:47",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595495267,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "5",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 17:07:25",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595495245,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "4",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 17:07:02",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595495222,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "3",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 17:07:00",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595495220,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            },
            {
                "id": "2",
                "user_id": "1",
                "forum_id": "1",
                "title": "",
                "content": "发达急哦房间滴哦附近的死哦发",
                "images": [],
                "created_at": "2020-07-23 16:59:16",
                "share_count": "0",
                "like_count": "0",
                "view_count": "0",
                "popularity": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "comment_count": "0",
                "is_good": "0",
                "nickname": "测试用户1",
                "avatar": "",
				"level": "3",//用户等级
				"level_logo": "http://用户等级头像.jpg"
                "create_time": 1595494756,
                "is_liked": false,
				"follow_status": "none",
                "tags": [
                    "置顶",
                    "公告"
                ]
            }
        ],
        "pages": {
            "total_count": "21",
            "page_size": 20,
            "total_page": 2,
            "first_page": 1,
            "prev_page": 1,
            "next_page": 2,
            "last_page": 2,
            "current_page": 1,
            "all_pages": [
                1
            ],
            "offset": 0,
            "limit": 20
        },
        "count": "21"
    }
}
```

##### 备注 

- 帖子内属性list[*].quoteData说明
  格式：
```
{
  "某属性名": {"value":属性值, "from":"来自表名#数据ID"}
}
```
  例如：
```
{
  "uid": {"value":123},
  "username": {"value":"王爸胆", "from":"user#123"},
  "sid": {"value":456},
  "subjectTitle": {"value":"今天池了易抛史", "from":"subject#456"}
}
```
  注意：
  	value和from是本例的保留字，不要用于属性名
	from: 目前支持user, subject, comment, game, forum，有需要可扩展




