##### 简要描述

- 帖子详情

##### 请求URL
- ` /forum/subjectDetail `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|subjectId |是  |int |帖子ID   |

##### 返回示例 

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": {
        "id": "464",
        "user_id": "141",
        "forum_id": "61",
        "title": "",
        "content": "武则天六六六",
        "images": [
            {
                "id": "654",
                "user_id": "141",
                "subject_id": "464",
                "src": "http://static.ouj.com/subject/aa580799f5fa2b54c3483b128830d3ad_size2340x1080_1097804.jpeg",
                "src_type": "image",
                "thumbnail": "http://static.ouj.com/subject/aa580799f5fa2b54c3483b128830d3ad_size2340x1080_1097804.jpeg?x-oss-process=image/resize,p_50",
                "seq": "0",
                "created_at": "2021-10-15 15:19:11"
            }
        ],
        "created_at": "2021-10-15 15:19:18",
        "share_count": "0",
        "like_count": "2",
        "comment_count": "2",
        "view_count": "1",
        "report_count": "0",
        "block_count": "0",
        "popularity": "4",
        "hide_note": "",
        "is_good": "0",
        "is_top": "0",
        "is_gg": "0",
        "is_hide": "0",
        "is_official": "0",
        "is_hot": "0",
        "is_cold": "0",
        "quote_subject_id": "0",
        "quote_comment_id": "0",
        "quote_data": null,
        "nickname": "仙人JUMP",
        "avatar": "http://static.ouj.com/shoes/test/avatar/avatar_141_2f34326c687cf276e80b91682fce9a81.jpg",
        "socialInfo": {
            "id": "141",
            "name": "仙人JUMP",
            "level": "10",
            "level_logo": "http://static.ouj.com/shoes/icon/7d479e9be155491ea7d9516b3281dd43.png",
            "score": "1357",
            "is_ban": "0",
            "province": "广东省",
            "province_id": "440000",
            "city": "广州市",
            "city_id": "440100",
            "district": "天河区",
            "district_id": "440106",
            "gender": "1",
            "age": "0",
            "avatar": "http://static.ouj.com/shoes/test/avatar/avatar_141_2f34326c687cf276e80b91682fce9a81.jpg",
            "online_status": "OFFLINE"
        },
        "tags": [],
        "time": "2021.10.15 15:19",
        "create_time": 1634282358,
        "forum_name": "默认",
        "forum_cover": "",
        "forum_icon": "",
        "game_id": "0",
        "game_name": "",
        "quoteData": null,
        "quoteSubject": null,
        "hotComment": {
            "id": "742",
            "subject_id": "464",
            "forum_id": "61",
            "user_id": "149",
            "to_comment_id": "0",
            "parent_comment_id": "0",
            "to_user_id": "0",
            "content": "666",
            "popularity": "1647069347796",
            "like_count": "0",
            "comment_count": "0",
            "reply_count": "0",
            "share_count": "0",
            "report_count": "0",
            "block_count": "0",
            "is_hide": "0",
            "hide_note": "",
            "created_at": "2021-10-28 10:10:56",
            "is_liked": false,
            "subList": [],
            "time": "2021.10.28 10:10",
            "create_time": 1635387056
        },
        "hasHotComment": true,
        "is_liked": false,
        "follow_status": "none"
    },
    "debug": {
        "php_handle_ms": 272
    }
}
```

##### 部分返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|data.hotComment |object   |热评数据  |

##### 备注 

- 返回属性data.quoteData说明
  格式：
```
{
  "某属性名": {"value":属性值, "from":"来自表名#数据ID"}
}
```
  例如：
```
{
  "uid": {"value":123},
  "username": {"value":"王爸胆", "from":"user#123"},
  "sid": {"value":456},
  "subjectTitle": {"value":"今天池了易抛史", "from":"subject#456"}
}
```
  注意：
  	value和from是本例的保留字，不要用于属性名
	from: 目前支持user, subject, comment, game, forum，有需要可扩展



