

    
##### 简要描述

- 用户帖子列表（不可搜索）

##### 请求URL
- ` /forum/listByUser `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|uid |是  |int |用户ID   |
|forumId |否  |int | 论坛分区ID    |
|p     |否  |int | 页码    |
|limit  |否  |int | 每页条数    |
|sortBy |否  |string | 排序方式：like_count-点赞/comment_count-评论数/created_at-最新。默认按时间排序，参数非法或不传，也视为点赞  |
|removeTop  |否  |tinyint | 是否排除掉用户置顶的帖子，默认否    |

##### 返回示例 

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": {
        "list": [
            {
                "id": "501",
                "user_id": "195",
                "forum_id": "61",
                "title": "",
                "content": "突突。好看好看好看好看。哦吼不住院子里，",
                "images": [
                    {
                        "id": "683",
                        "user_id": "195",
                        "subject_id": "501",
                        "src": "http://static.ouj.com/subject/d0060980f8ab8f917b29ee618bd1aa6a_size720x1560_66430.png",
                        "src_type": "image",
                        "thumbnail": "http://static.ouj.com/subject/d0060980f8ab8f917b29ee618bd1aa6a_size720x1560_66430.png?x-oss-process=image/resize,p_50",
                        "seq": "0",
                        "created_at": "2022-03-09 15:01:38"
                    }
                ],
                "created_at": "2022-03-09 15:01:40",
                "share_count": "0",
                "like_count": "0",
                "comment_count": "0",
                "view_count": "0",
                "report_count": "0",
                "block_count": "0",
                "popularity": "0",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "is_official": "0",
                "is_hot": "1",
                "is_cold": "0",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "quote_data": null,
                "nickname": "棋aa211191P",
                "avatar": "http://static.ouj.com/shoes/test/avatar/avatar_195_b2948dc32c8fbe8a39bd76d29c3064d5.jpg",
                "gender": "1",
                "level": "3",
                "forum_name": "默认",
                "forum_cover": "",
                "forum_icon": "",
                "game_id": "0",
                "game_name": "",
                "level_logo": "http://static.ouj.com/shoes/icon/0097040d903a4435a5a35874b2b71126.png",
                "follow_status": "none",
                "create_time": 1646809300,
                "is_liked": false,
                "tags": [],
                "quoteData": null,
                "quoteSubject": null
            },
            {
                "id": "500",
                "user_id": "195",
                "forum_id": "61",
                "title": "",
                "content": "解决不了问题的",
                "images": [
                    {
                        "id": "682",
                        "user_id": "195",
                        "subject_id": "500",
                        "src": "http://static.ouj.com/subject/6c503c5ee1b79e2860a9a0cd8dffd4cd_size1080x1623_152816.jpg",
                        "src_type": "image",
                        "thumbnail": "http://static.ouj.com/subject/6c503c5ee1b79e2860a9a0cd8dffd4cd_size1080x1623_152816.jpg?x-oss-process=image/resize,p_50",
                        "seq": "0",
                        "created_at": "2022-03-09 14:58:12"
                    }
                ],
                "created_at": "2022-03-09 14:58:15",
                "share_count": "0",
                "like_count": "0",
                "comment_count": "0",
                "view_count": "0",
                "report_count": "0",
                "block_count": "0",
                "popularity": "0",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "is_official": "0",
                "is_hot": "1",
                "is_cold": "0",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "quote_data": null,
                "nickname": "棋aa211191P",
                "avatar": "http://static.ouj.com/shoes/test/avatar/avatar_195_b2948dc32c8fbe8a39bd76d29c3064d5.jpg",
                "gender": "1",
                "level": "3",
                "forum_name": "默认",
                "forum_cover": "",
                "forum_icon": "",
                "game_id": "0",
                "game_name": "",
                "level_logo": "http://static.ouj.com/shoes/icon/0097040d903a4435a5a35874b2b71126.png",
                "follow_status": "none",
                "create_time": 1646809095,
                "is_liked": false,
                "tags": [],
                "quoteData": null,
                "quoteSubject": null
            },
            {
                "id": "499",
                "user_id": "146",
                "forum_id": "61",
                "title": "",
                "content": "他问我为什么没有了女朋友呀呀呀呀呀呀呀！你",
                "images": [
                    {
                        "id": "679",
                        "user_id": "146",
                        "subject_id": "499",
                        "src": "http://static.ouj.com/subject/68a23a357be179e9f01edffd23f6eac7_size1500x829_113808.jpg",
                        "src_type": "image",
                        "thumbnail": "http://static.ouj.com/subject/68a23a357be179e9f01edffd23f6eac7_size1500x829_113808.jpg?x-oss-process=image/resize,p_50",
                        "seq": "0",
                        "created_at": "2022-03-02 14:30:56"
                    }
                ],
                "created_at": "2022-03-02 14:30:58",
                "share_count": "0",
                "like_count": "0",
                "comment_count": "0",
                "view_count": "0",
                "report_count": "0",
                "block_count": "0",
                "popularity": "0",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "is_official": "0",
                "is_hot": "1",
                "is_cold": "0",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "quote_data": null,
                "nickname": "用户21hhWBJV",
                "avatar": "http://static.ouj.com/shoes/test/avatar/avatar_146_d97d62f1e75f2c92bb0b0a972602cad2.jpg",
                "gender": "1",
                "level": "1",
                "forum_name": "默认",
                "forum_cover": "",
                "forum_icon": "",
                "game_id": "0",
                "game_name": "",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "follow_status": "none",
                "create_time": 1646202658,
                "is_liked": false,
                "tags": [],
                "quoteData": null,
                "quoteSubject": null
            },
            {
                "id": "498",
                "user_id": "153",
                "forum_id": "61",
                "title": "",
                "content": "？。。。，。。",
                "images": [
                    {
                        "id": "678",
                        "user_id": "153",
                        "subject_id": "498",
                        "src": "http://static.ouj.com/subject/e20d0d111edc7daf1b2dad99bbc63351_size1174x1266_1660640.jpeg",
                        "src_type": "image",
                        "thumbnail": "http://static.ouj.com/subject/e20d0d111edc7daf1b2dad99bbc63351_size1174x1266_1660640.jpeg?x-oss-process=image/resize,p_50",
                        "seq": "0",
                        "created_at": "2022-03-02 14:21:53"
                    }
                ],
                "created_at": "2022-03-02 14:21:56",
                "share_count": "0",
                "like_count": "0",
                "comment_count": "0",
                "view_count": "0",
                "report_count": "0",
                "block_count": "0",
                "popularity": "0",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "is_official": "0",
                "is_hot": "1",
                "is_cold": "0",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "quote_data": null,
                "nickname": "Lyeto",
                "avatar": "http://static.ouj.com/shoes/test/avatar/avatar_153_15708ec9de98e00d696c885f84532197.jpg",
                "gender": "1",
                "level": "1",
                "forum_name": "默认",
                "forum_cover": "",
                "forum_icon": "",
                "game_id": "0",
                "game_name": "",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "follow_status": "none",
                "create_time": 1646202116,
                "is_liked": false,
                "tags": [],
                "quoteData": null,
                "quoteSubject": null
            },
            {
                "id": "497",
                "user_id": "153",
                "forum_id": "61",
                "title": "",
                "content": "telegram",
                "images": [
                    {
                        "id": "677",
                        "user_id": "153",
                        "subject_id": "497",
                        "src": "http://static.ouj.com/subject/31cae03e1954eed77a03b776779d4f95_size705x449_53954.jpeg",
                        "src_type": "image",
                        "thumbnail": "http://static.ouj.com/subject/31cae03e1954eed77a03b776779d4f95_size705x449_53954.jpeg?x-oss-process=image/resize,p_50",
                        "seq": "0",
                        "created_at": "2022-03-02 14:19:19"
                    }
                ],
                "created_at": "2022-03-02 14:19:21",
                "share_count": "0",
                "like_count": "1",
                "comment_count": "1",
                "view_count": "0",
                "report_count": "0",
                "block_count": "0",
                "popularity": "2",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "is_official": "0",
                "is_hot": "1",
                "is_cold": "0",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "quote_data": null,
                "nickname": "Lyeto",
                "avatar": "http://static.ouj.com/shoes/test/avatar/avatar_153_15708ec9de98e00d696c885f84532197.jpg",
                "gender": "1",
                "level": "1",
                "forum_name": "默认",
                "forum_cover": "",
                "forum_icon": "",
                "game_id": "0",
                "game_name": "",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "follow_status": "none",
                "create_time": 1646201961,
                "is_liked": false,
                "tags": [],
                "quoteData": null,
                "quoteSubject": null
            },
            {
                "id": "496",
                "user_id": "153",
                "forum_id": "61",
                "title": "",
                "content": "肥猫斗小强",
                "images": [
                    {
                        "id": "676",
                        "user_id": "153",
                        "subject_id": "496",
                        "src": "http://static.ouj.com/subject/de7df5111ed6fc77adce52ec2e16075d_size908x711_368966.jpeg",
                        "src_type": "image",
                        "thumbnail": "http://static.ouj.com/subject/de7df5111ed6fc77adce52ec2e16075d_size908x711_368966.jpeg?x-oss-process=image/resize,p_50",
                        "seq": "0",
                        "created_at": "2022-03-02 14:06:27"
                    }
                ],
                "created_at": "2022-03-02 14:06:29",
                "share_count": "0",
                "like_count": "1",
                "comment_count": "1",
                "view_count": "0",
                "report_count": "0",
                "block_count": "0",
                "popularity": "2",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "is_official": "0",
                "is_hot": "1",
                "is_cold": "0",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "quote_data": null,
                "nickname": "Lyeto",
                "avatar": "http://static.ouj.com/shoes/test/avatar/avatar_153_15708ec9de98e00d696c885f84532197.jpg",
                "gender": "1",
                "level": "1",
                "forum_name": "默认",
                "forum_cover": "",
                "forum_icon": "",
                "game_id": "0",
                "game_name": "",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "follow_status": "none",
                "create_time": 1646201189,
                "is_liked": false,
                "tags": [],
                "quoteData": null,
                "quoteSubject": null
            },
            {
                "id": "495",
                "user_id": "155",
                "forum_id": "7",
                "title": "Football",
                "content": "Football",
                "images": [],
                "created_at": "2022-03-01 15:34:26",
                "share_count": "0",
                "like_count": "0",
                "comment_count": "0",
                "view_count": "1",
                "report_count": "0",
                "block_count": "0",
                "popularity": "0",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "is_official": "1",
                "is_hot": "1",
                "is_cold": "0",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "quote_data": null,
                "nickname": "System Game Bot",
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
                "gender": "0",
                "level": "1",
                "forum_name": "Forum of System Game Bot",
                "forum_cover": "",
                "forum_icon": "",
                "game_id": "0",
                "game_name": "",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "follow_status": "none",
                "create_time": 1646120066,
                "is_liked": false,
                "tags": [],
                "quoteData": null,
                "quoteSubject": null
            },
            {
                "id": "494",
                "user_id": "141",
                "forum_id": "61",
                "title": "",
                "content": "三星德莱文YYDS",
                "images": [
                    {
                        "id": "673",
                        "user_id": "141",
                        "subject_id": "494",
                        "src": "http://static.ouj.com/subject/73465fb77e488b0ca7a4dc323a7cd0f4_size1920x1080_399891.jpg",
                        "src_type": "image",
                        "thumbnail": "http://static.ouj.com/subject/73465fb77e488b0ca7a4dc323a7cd0f4_size1920x1080_399891.jpg?x-oss-process=image/resize,p_50",
                        "seq": "0",
                        "created_at": "2022-03-01 14:32:08"
                    }
                ],
                "created_at": "2022-03-01 14:32:10",
                "share_count": "0",
                "like_count": "1",
                "comment_count": "0",
                "view_count": "1",
                "report_count": "0",
                "block_count": "0",
                "popularity": "1",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "is_official": "0",
                "is_hot": "1",
                "is_cold": "0",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "quote_data": null,
                "nickname": "仙人JUMP",
                "avatar": "http://static.ouj.com/shoes/test/avatar/avatar_141_2f34326c687cf276e80b91682fce9a81.jpg",
                "gender": "1",
                "level": "10",
                "forum_name": "默认",
                "forum_cover": "",
                "forum_icon": "",
                "game_id": "0",
                "game_name": "",
                "level_logo": "http://static.ouj.com/shoes/icon/7d479e9be155491ea7d9516b3281dd43.png",
                "follow_status": "none",
                "create_time": 1646116330,
                "is_liked": false,
                "tags": [],
                "quoteData": null,
                "quoteSubject": null
            },
            {
                "id": "493",
                "user_id": "155",
                "forum_id": "7",
                "title": "wei quick",
                "content": "wei quick",
                "images": [],
                "created_at": "2022-02-24 16:16:41",
                "share_count": "0",
                "like_count": "0",
                "comment_count": "0",
                "view_count": "0",
                "report_count": "0",
                "block_count": "0",
                "popularity": "0",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "is_official": "1",
                "is_hot": "1",
                "is_cold": "0",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "quote_data": null,
                "nickname": "System Game Bot",
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
                "gender": "0",
                "level": "1",
                "forum_name": "Forum of System Game Bot",
                "forum_cover": "",
                "forum_icon": "",
                "game_id": "0",
                "game_name": "",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "follow_status": "none",
                "create_time": 1645690601,
                "is_liked": false,
                "tags": [],
                "quoteData": null,
                "quoteSubject": null
            },
            {
                "id": "492",
                "user_id": "155",
                "forum_id": "7",
                "title": "wei duobiqiang",
                "content": "wei duobiqiang",
                "images": [],
                "created_at": "2022-02-21 16:31:30",
                "share_count": "0",
                "like_count": "0",
                "comment_count": "0",
                "view_count": "0",
                "report_count": "0",
                "block_count": "0",
                "popularity": "0",
                "hide_note": "",
                "is_good": "0",
                "is_top": "0",
                "is_gg": "0",
                "is_hide": "0",
                "is_official": "1",
                "is_hot": "1",
                "is_cold": "0",
                "quote_subject_id": "0",
                "quote_comment_id": "0",
                "quote_data": null,
                "nickname": "System Game Bot",
                "avatar": "https://static.ouj.com/shoes/form/avatar_default/man.jpg",
                "gender": "0",
                "level": "1",
                "forum_name": "Forum of System Game Bot",
                "forum_cover": "",
                "forum_icon": "",
                "game_id": "0",
                "game_name": "",
                "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                "follow_status": "none",
                "create_time": 1645432290,
                "is_liked": false,
                "tags": [],
                "quoteData": null,
                "quoteSubject": null
            }
        ],
        "pages": {
            "total_count": "50",
            "page_size": 10,
            "total_page": 5,
            "first_page": 1,
            "prev_page": 1,
            "next_page": 2,
            "last_page": 5,
            "current_page": 1,
            "all_pages": [
                1,
                2,
                3,
                4,
                5
            ],
            "offset": 0,
            "limit": 10
        },
        "count": "50"
    },
    "debug": {
        "php_handle_ms": 698
    }
}
```

##### 备注 

- 帖子内属性list[*].quoteData说明
  格式：
```
{
  "某属性名": {"value":属性值, "from":"来自表名#数据ID"}
}
```
  例如：
```
{
  "uid": {"value":123},
  "username": {"value":"王爸胆", "from":"user#123"},
  "sid": {"value":456},
  "subjectTitle": {"value":"今天池了易抛史", "from":"subject#456"}
}
```
  注意：
  	value和from是本例的保留字，不要用于属性名
	from: 目前支持user, subject, comment, game, forum，有需要可扩展



