##### 简要描述

- 子评论列表

##### 请求URL
- ` /forum/SubComments `
  
##### 请求方式
- POST 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|parentCommentId |是  |int |父评论ID   |
|p |否  |int | 页码    |
|limit     |否  |int  |每页条数 |
|sortBy |否  |string | 排序方式：like_count-点赞/comment_count-评论数/created_at-最新。默认按点赞排序，参数非法或不传，也视为点赞  |

##### 返回示例 

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": {
        "list": [
            {
                "id": "5",
                "subject_id": "15",
                "user_id": "1",
                "to_comment_id": "0",
                "parent_comment_id": "3",
                "to_user_id": "1",
                "to_user_name": "被回复用户",
                "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                "content": "发动反击地方都是",
                "like_count": "0",
                "comment_count": "0",
                "created_at": "2020-07-23 18:17:50",
                "time": "2020.08.20 11:48",
                "create_time": 1595499470,
                "socialInfo": {
                    "id": "1",
                    "name": "测试用户1",
                    "level": "9",
                    "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                    "score": "2100",
                    "is_ban": "0",
                    "province_id": "440000",
                    "city_id": "440100",
                    "district_id": "440106",
                    "gender": "0",
                    "age": null,
                    "avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg"
                },
                "is_liked": false
            },
            {
                "id": "6",
                "subject_id": "15",
                "user_id": "1",
                "to_comment_id": "5",
                "parent_comment_id": "3",
                "to_user_id": "1",
                "to_user_name": "被回复用户",
                "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                "content": "发动反击地方都是",
                "like_count": "0",
                "comment_count": "0",
                "created_at": "2020-07-23 18:35:49",
                "time": "2020.08.20 11:48",
                "create_time": 1595500549,
                "socialInfo": {
                    "id": "1",
                    "name": "测试用户1",
                    "level": "9",
                    "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                    "score": "2100",
                    "is_ban": "0",
                    "province_id": "440000",
                    "city_id": "440100",
                    "district_id": "440106",
                    "gender": "0",
                    "age": null,
                    "avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg"
                },
                "is_liked": false
            },
            {
                "id": "7",
                "subject_id": "15",
                "user_id": "1",
                "to_comment_id": "5",
                "parent_comment_id": "3",
                "to_user_id": "1",
                "to_user_name": "被回复用户",
                "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                "content": "发动反击地方都是",
                "like_count": "0",
                "comment_count": "0",
                "created_at": "2020-07-23 18:36:04",
                "time": "2020.08.20 11:48",
                "create_time": 1595500564,
                "socialInfo": {
                    "id": "1",
                    "name": "测试用户1",
                    "level": "9",
                    "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                    "score": "2100",
                    "is_ban": "0",
                    "province_id": "440000",
                    "city_id": "440100",
                    "district_id": "440106",
                    "gender": "0",
                    "age": null,
                    "avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg"
                },
                "is_liked": false
            },
            {
                "id": "8",
                "subject_id": "15",
                "user_id": "1",
                "to_comment_id": "5",
                "parent_comment_id": "3",
                "to_user_id": "1",
                "to_user_name": "被回复用户",
                "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                "content": "发动反击地方都是",
                "like_count": "0",
                "comment_count": "0",
                "created_at": "2020-07-27 17:59:21",
                "time": "2020.08.20 11:48",
                "create_time": 1595843961,
                "socialInfo": {
                    "id": "1",
                    "name": "测试用户1",
                    "level": "9",
                    "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                    "score": "2100",
                    "is_ban": "0",
                    "province_id": "440000",
                    "city_id": "440100",
                    "district_id": "440106",
                    "gender": "0",
                    "age": null,
                    "avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg"
                },
                "is_liked": true
            },
            {
                "id": "9",
                "subject_id": "15",
                "user_id": "1",
                "to_comment_id": "5",
                "parent_comment_id": "3",
                "to_user_id": "1",
                "to_user_name": "被回复用户",
                "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                "content": "发动反击地方都是",
                "like_count": "0",
                "comment_count": "0",
                "created_at": "2020-08-01 18:09:35",
                "time": "2020.08.20 11:48",
                "create_time": 1596276575,
                "socialInfo": {
                    "id": "1",
                    "name": "测试用户1",
                    "level": "9",
                    "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                    "score": "2100",
                    "is_ban": "0",
                    "province_id": "440000",
                    "city_id": "440100",
                    "district_id": "440106",
                    "gender": "0",
                    "age": null,
                    "avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg"
                },
                "is_liked": false
            },
            {
                "id": "10",
                "subject_id": "15",
                "user_id": "1",
                "to_comment_id": "0",
                "parent_comment_id": "3",
                "to_user_id": "1",
                "to_user_name": "被回复用户",
                "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                "content": "发动反击地方都是",
                "like_count": "0",
                "comment_count": "0",
                "created_at": "2020-08-01 18:33:17",
                "time": "2020.08.20 11:48",
                "create_time": 1596277997,
                "socialInfo": {
                    "id": "1",
                    "name": "测试用户1",
                    "level": "9",
                    "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                    "score": "2100",
                    "is_ban": "0",
                    "province_id": "440000",
                    "city_id": "440100",
                    "district_id": "440106",
                    "gender": "0",
                    "age": null,
                    "avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg"
                },
                "is_liked": false
            },
            {
                "id": "11",
                "subject_id": "15",
                "user_id": "1",
                "to_comment_id": "0",
                "parent_comment_id": "3",
                "to_user_id": "1",
                "to_user_name": "被回复用户",
                "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                "content": "发动反击地方都是",
                "like_count": "0",
                "comment_count": "0",
                "created_at": "2020-08-01 18:34:15",
                "time": "2020.08.20 11:48",
                "create_time": 1596278055,
                "socialInfo": {
                    "id": "1",
                    "name": "测试用户1",
                    "level": "9",
                    "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                    "score": "2100",
                    "is_ban": "0",
                    "province_id": "440000",
                    "city_id": "440100",
                    "district_id": "440106",
                    "gender": "0",
                    "age": null,
                    "avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg"
                },
                "is_liked": false
            },
            {
                "id": "12",
                "subject_id": "15",
                "user_id": "1",
                "to_comment_id": "0",
                "parent_comment_id": "3",
                "to_user_id": "1",
                "to_user_name": "被回复用户",
                "to_user_avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg",
                "content": "发动反击地方都是",
                "like_count": "0",
                "comment_count": "0",
                "created_at": "2020-08-05 18:30:12",
                "time": "2020.08.20 11:48",
                "create_time": 1596623412,
                "socialInfo": {
                    "id": "1",
                    "name": "测试用户1",
                    "level": "9",
                    "level_logo": "http://static.ouj.com/shoes/icon/0ac26483655347069e98b96e9b4a5ee2.png",
                    "score": "2100",
                    "is_ban": "0",
                    "province_id": "440000",
                    "city_id": "440100",
                    "district_id": "440106",
                    "gender": "0",
                    "age": null,
                    "avatar": "https://img3.doubanio.com/icon/u171078796-3.jpg"
                },
                "is_liked": false
            }
        ],
        "pages": null
    }
}
```


##### 备注 

- 无



