**请求URL**
- POST `gameRecord/addGame`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| game_id | 是 | int | 游戏 ID
| score | 是 | float | 分数
| duration | 是 | int | 时长秒
| jump | 是 | int | 跳跃次数 **20220411用movements代替**
| crouch | 是 | int | 下蹲次数 **20220411用movements代替**
| step | 是 | int | 游戏步数 **20220411用movements代替**
| movements | 是 | json | **20220411新增** 动作和动作产生的值的映射表
| distance | 是 | int | 移动距离 米
| is_cancel | 否 | int | 是否中途退出 0否 1是 默认否
| mode | 否 | int | 游戏模式
| play_group | 否 | str | 按打开游戏到关闭游戏 分组

#### 备注

* 游戏退出
* 游戏中应用崩溃，重启应用

以上情况需要对上局未完成的游戏调用该接口时，参数 is_cancel 为 1，duration 和 step 需要数据，其他字段无数据则写 0

**movements可用键名**

|参数名|说明|
|:----|-----|
| step | 游戏步数
| crouch | 下蹲次数
| jump | 跳跃次数
| tick | 踢次数
| trample | 踩次数
| scissors | 剪刀
| rock | 石头
| paper | 布

**movements参数示例**
```json
{"step": 100, "jump": 20, "crouch": 23}
```

**返回示例**

* 2021-03-22 更新 增加返回记录 id
* 2021-03-04 更新 取消地域划分
* 2020-11-25 更新 增加 achievement_result.achievements.\*.user_count

```
{
	"result": 1,
	"code": 0,
	"msg": "成功",
	"data": {
		"id": 100 // 记录 id
		"rank_result": [
			// 榜单变动结果的数组，一般是一个游戏榜单，两个运动榜单
			{
				"up": 1,
				"position": 2,
				"result": "newRecord"
				"rank": {...}
			}
		],
		"achievement_result": {
			"achievements": [
				{
					"id": 14,
					"name": "成就14",
					"logo": "",
					"condition_duration": 164640,
					"sort": 986,
					"series_id": 1,
					"reward_score": 280,
					"position": null,
					"created_at": null,
					"user_count": 100,  // 第几位获得
				} // 新成就数组，没有则为空
			],
			"level": false // 如果升级了会是数字，没升级是 false
		}
	}
}
```

#### Result 字段说明

|值|说明| 榜单类型 |
|:----    |:---|:----- |
| notReachRank | 未达到榜单排名要求 | 通用
| newRecord | 新纪录 | 通用
| notReachSelf | 未超过自身最高分数 | 游戏榜单
| notPassOther | 未超过前一名 | 运动榜单
