#### 游戏数据统计

``gameRecord/game``

#### 参数

id 游戏 ID

#### 返回

```
{
    "result":1,
    "code":0,
    "msg":"成功",
    "data":{
        "today":{
			"duration_minute": 15,
			"score_max": 86.5,
			"times": 4,
			"consume": 29,
			"consume_rate": 1.93,
			"crouch_rate": 12.1,
			"jump_rate": 11.8,
			"step": 1666
        },
        "sum":{
			... // 与 today 的结构相同
        }
    }
}
```


#### 游戏记录

``gameRecord/sum``



#### 返回
```
{
    "result":1,
    "code":0,
    "msg":"成功",
    "data":{
        "records":[
            {
                "id":1,
                "user_id":1,
                "game_id":1,
                "times":60,
                "duration":12100,
                "score":3429.2,
                "consume":373,
                "score_max":93.4,
                "step":19918,
                "jump":3587,
                "crouch":2969,
                "game":{
                    "id":1,
                    "cover":"http://static.ouj.com/shoes/test/game/b08323df5dc941a1902a8fd7a987024c.png",
                    "name":"跳舞跳舞",
                    "cover_horizontal":"http://static.ouj.com/shoes/test/game/afca232ac720416eb8d56f66495ea9a4.png"
                },
                "last_play_at":"2021-04-22 09:54:21",
                "duration_minute":201
            }
        ],
        "jog_info":{
            "distance_jog":10650,
            "duration_jog":4765,
            "step_rate_jog":268.2,
            "jog_user_count":4
        }
    }
}
```

## 按次 分页

**请求URL**
- GET `gameRecord/list`

**参数**

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
| game_id | 否 | int | 游戏id
| page | 否 | bool | 第几页

**返回示例**
```
{
    "result":1,
    "code":0,
    "msg":"成功",
    "data":{
        "current_page":1,
        "data":[
            {
				"id": 1265,
				"user_id": 1,
				"type": "game",
				"record_id": 914,
				"consume": 6,
				"duration": 181,
				"step": 301,
				"distance": 151,
				"crouch": 4,
				"jump": 74,
				"step_rate": "99.8",
				"created_at": "2021-03-20 20:00:00",
				"score": 35.1,
				"mode": 0,
				"play_group": "",
				"game_id": 3,
				"game_name": "跑酷跑酷",
				"game_cover": "http://static.ouj.com/shoes/test/game/d925c10f1bf745b3b72c54922de0b17d.png",
				"game_share_background": "",
				"jump_rate": 24,
				"crouch_rate": 1
            }
        ],
        "first_page_url":"/?page=1",
        "from":1,
        "last_page":21,
        "last_page_url":"/?page=21",
        "next_page_url":"/?page=2",
        "path":"/",
        "per_page":20,
        "prev_page_url":null,
        "to":20,
        "total":415
    }
}
```