##### 简要描述

- 互动提醒列表

##### 请求URL
- ` /notice/list `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|limit |否  |int |每页条数   |
|p |否  |int | 页码    |
|read     |否  |string | 已读标记（all-全部，1-已读，0-未读），默认未读    |
|type     |否  |string | 消息类型（all-全部，comment-评论，like-点赞，feedback-反馈，rank-排名），默认全部    |
|isMsg     |否  |string | 是否为互动消息（all-全部，1-是，0-否），默认all   |
|markread |否  |string | 自动标记已读（currpage-本页批量标记）    |

##### 返回示例 

``` 
{
    "result": 1,
    "code": 0,
    "msg": "成功",
    "data": {
        "list": [
			{
				"id": "20835",
				"user_id": "1",
				"is_message": "0",
				"type": "receive",
				"from_user_id": "0",
				"subject_id": "0",
				"comment_id": "0",
				"feedback_id": "0",
				"rank_id": "0",
				"receive_id": "1",
				"title": "测试接收物品",
				"content": "收到物品测试",
				"is_read": "1",
				"created_at": "2020-10-22 18:22:22",
				"create_time": 1603362142,
				"fromUserInfo": null,
				"subjectDetail": null,
				"commentDetail": null,
				"receiveDetail": {
					"id": "1",
					"user_id": "1",
					"from": "rank",
					"thing": [
						{
							"type": "score",
							"value": 10
						}
					],
					"from_detail": "",
					"is_receive": "0",
					"created_at": "2020-10-22 17:33:46",
					"received_at": null
				}
			},
            {
                "id": "18",
                "user_id": "1",
                "is_message": "1",
                "type": "like",
                "from_user_id": "1",
                "subject_id": "15",
                "comment_id": "1",
                "feedback_id": "0",
                "rank_id": "0",
                "content": null,
                "is_read": "0",
                "created_at": "2020-08-06 19:21:38",
				"create_time": 1596798192,
                "fromUserInfo": {
                    "id": "1",
                    "name": "测试用户1",
                    "level": "1",
                    "score": "2720",
                    "is_ban": "0",
                    "province_id": "440000",
                    "city_id": "440100",
                    "district_id": "440106",
                    "gender": "0",
                    "age": null,
                    "avatar": "hfudahfsdfhidsjifsfds"
                },
                "subjectDetail": {
                    "id": "15",
                    "user_id": "1",
                    "forum_id": "1",
                    "content": "发达急哦房间滴哦附近的死哦发",
                    "images": "",
                    "created_at": "2020-07-23 17:13:26",
					"create_time": 1595495606,
                    "share_count": "0",
                    "like_count": "0",
                    "comment_count": "0",
                    "is_good": "0",
                    "user_name": "测试用户1",
                    "user_avatar": "hfudahfsdfhidsjifsfds"
                },
                "commentDetail": {
                    "id": "1",
                    "subject_id": "15",
                    "user_id": "1",
                    "to_comment_id": "0",
                    "parent_comment_id": "0",
                    "to_user_id": "0",
                    "content": "发动反击地方都是",
                    "like_count": "0",
                    "comment_count": "0",
                    "created_at": "2020-07-23 18:16:19",
					"create_time": 1595495606,
                    "user_name": "测试用户1",
                    "user_avatar": "hfudahfsdfhidsjifsfds",
                    "to_user_name": null,
                    "to_user_avatar": null
                },
				"receiveDetail": null
            },
            {
                "id": "16",
                "user_id": "1",
                "is_message": "1",
                "type": "like",
                "from_user_id": "1",
                "subject_id": "17",
                "comment_id": "0",
                "feedback_id": "0",
                "rank_id": "0",
                "content": null,
                "is_read": "0",
                "created_at": "2020-08-05 19:39:17",
				"create_time": 1595495606,
                "fromUserInfo": {
                    "id": "1",
                    "name": "测试用户1",
                    "level": "1",
                    "score": "2720",
                    "is_ban": "0",
                    "province_id": "440000",
                    "city_id": "440100",
                    "district_id": "440106",
                    "gender": "0",
                    "age": null,
                    "avatar": "hfudahfsdfhidsjifsfds"
                },
                "subjectDetail": {
                    "id": "17",
                    "user_id": "1",
                    "forum_id": "1",
                    "content": "发达急哦房间滴哦附近的死哦发",
                    "images": "",
                    "created_at": "2020-07-23 17:20:53",
					"create_time": 1595495606,
                    "share_count": "0",
                    "like_count": "0",
                    "comment_count": "0",
                    "is_good": "0",
                    "user_name": "测试用户1",
                    "user_avatar": "hfudahfsdfhidsjifsfds"
                },
                "commentDetail": null,
				"receiveDetail": null
            },
            {
                "id": "13",
                "user_id": "1",
                "is_message": "1",
                "type": "comment",
                "from_user_id": "1",
                "subject_id": "15",
                "comment_id": "0",
                "feedback_id": "0",
                "rank_id": "0",
                "content": "发动反击地方都是",
                "is_read": "0",
                "created_at": "2020-08-05 18:30:12",
				"create_time": 1595495606,
                "fromUserInfo": {
                    "id": "1",
                    "name": "测试用户1",
                    "level": "1",
                    "score": "2720",
                    "is_ban": "0",
                    "province_id": "440000",
                    "city_id": "440100",
                    "district_id": "440106",
                    "gender": "0",
                    "age": null,
                    "avatar": "hfudahfsdfhidsjifsfds"
                },
                "subjectDetail": {
                    "id": "15",
                    "user_id": "1",
                    "forum_id": "1",
                    "content": "发达急哦房间滴哦附近的死哦发",
                    "images": "",
                    "created_at": "2020-07-23 17:13:26",
					"create_time": 1595495606,
                    "share_count": "0",
                    "like_count": "0",
                    "comment_count": "0",
                    "is_good": "0",
                    "user_name": "测试用户1",
                    "user_avatar": "hfudahfsdfhidsjifsfds"
                },
                "commentDetail": null,
				"receiveDetail": null
            },
            {
                "id": "9",
                "user_id": "1",
                "is_message": "1",
                "type": "comment",
                "from_user_id": "1",
                "subject_id": "15",
                "comment_id": "5",
                "feedback_id": "0",
                "rank_id": "0",
                "content": "发动反击地方都是",
                "is_read": "0",
                "created_at": "2020-08-01 18:09:35",
				"create_time": 1595495606,
                "fromUserInfo": {
                    "id": "1",
                    "name": "测试用户1",
                    "level": "1",
                    "score": "2720",
                    "is_ban": "0",
                    "province_id": "440000",
                    "city_id": "440100",
                    "district_id": "440106",
                    "gender": "0",
                    "age": null,
                    "avatar": "hfudahfsdfhidsjifsfds"
                },
                "subjectDetail": {
                    "id": "15",
                    "user_id": "1",
                    "forum_id": "1",
                    "content": "发达急哦房间滴哦附近的死哦发",
                    "images": "",
                    "created_at": "2020-07-23 17:13:26",
					"create_time": 1595495606,
                    "share_count": "0",
                    "like_count": "0",
                    "comment_count": "0",
                    "is_good": "0",
                    "user_name": "测试用户1",
                    "user_avatar": "hfudahfsdfhidsjifsfds"
                },
                "commentDetail": {
                    "id": "5",
                    "subject_id": "15",
                    "user_id": "1",
                    "to_comment_id": "0",
                    "parent_comment_id": "3",
                    "to_user_id": "0",
                    "content": "发动反击地方都是",
                    "like_count": "0",
                    "comment_count": "0",
                    "created_at": "2020-07-23 18:17:50",
					"create_time": 1595495606,
                    "user_name": "测试用户1",
                    "user_avatar": "hfudahfsdfhidsjifsfds",
                    "to_user_name": null,
                    "to_user_avatar": null
                },
				"receiveDetail": null
            }
        ],
        "pages": {
            "total_count": "9",
            "page_size": 4,
            "total_page": 3,
            "first_page": 1,
            "prev_page": 1,
            "next_page": 2,
            "last_page": 3,
            "current_page": 1,
            "all_pages": [
                1,
                2,
                3
            ],
            "offset": 0,
            "limit": 4
        },
        "count": "9"
    }
}
```

##### 备注 

- 需要登录
- data.list[\*].type -- 提醒类型：comment/like
- data.list[\*].fromUserInfo -- 互动发起者的社交信息
- data.list[\*].subjectDetail -- 互动所作用的帖子信息
- data.list[\*].commentDetail -- 互动所作用的评论信息
- data.list[\*].receiveDetail -- 接收物品信息
- data.list[\*].receiveDetail.thing -- 接收物品信息（具体领了什么物品，列表形式。具体形式，咨询林雨）

- subjectDetail, commentDetail, receiveDetail 不一定都有数据，以上结构是为了方便，而全部展示
- 当需要显示物品未领取消息时，
  应设置参数 isMsg=0, read=0, type=all，
  表示获取 【未读】的【非互动消息】，【不过滤消息类型】

- 特别注意：
  /notice/list?isMsg=0获取的列表，产品暂定 往app界面里的”通知“追加。
  目前优先显示三条 inform/list 公告，然后再加载 /notice/list?isMsg=0的列表